Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Nvidia Api Mismatch  (gelezen 3511 keer)

bruintje_

  • Gast
Nvidia Api Mismatch
« Gepost op: 2007/08/15, 20:10:12 »
Hoi,

ik ben  vandaag eindelijk eens overgeschakeld op Ubuntu. dus ik begin met installeren en alles gaat fantastisch. dan krijg ik ineens een melding dat er updates zijn voor mijn programma's. ik doe de update en doe de vereiste reboot.

ik start opnieuw op en zegt die ineens dat mijn nvia driver niet overeenstemt met de infor die in de kernel staat. hij zegt API-MISMATCH, ...

het komt erop neer dat mijn nvidia driver niet overeenkomt met de kernel info en geraak dus niet verder. enig idee hoe ik dit moet oplossen.

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
Nvidia Api Mismatch
« Reactie #1 Gepost op: 2007/08/15, 20:13:17 »
Hoe is die nvidia driver daar gekomen. Zelf gecompileerd?

bruintje_

  • Gast
Nvidia Api Mismatch
« Reactie #2 Gepost op: 2007/08/15, 20:16:30 »
ja

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
Nvidia Api Mismatch
« Reactie #3 Gepost op: 2007/08/15, 20:20:31 »
Geen probleem dan. Gewoon starten in recovery of rescue modus (net voor het opstarten op ESC duwen) en vervolgens de driver opnieuw compileren.

bruintje_

  • Gast
Nvidia Api Mismatch
« Reactie #4 Gepost op: 2007/08/15, 20:54:08 »
ik hen noig een deel kernel fouten. ben maar opnieuw begonnen. heb toch niets beters te doen., lol

bruintje_

  • Gast
Nvidia Api Mismatch
« Reactie #5 Gepost op: 2007/08/16, 07:55:37 »
ik moest om de driver van Nvidia te kunnen installeren die headers installeren. maar die zegt dat er geen headers zijn of dat ze out of date zijn. dus ik ga naar synaptic (denk ik want zit niet thuis) en ik doe een reload van alle programma's, .....

hij zegt mij dat er 112 updates zijn en dat ik die moet downloaden en installeren. hierna vraagt hij een reboot die ik uitvoer.

ik doe apt-get install libc6-dev en hij maakt keurig de headers aan. dan doe ik sh Nvidia (hier komt de naar van de installer).

ik start opnieuw op en krijg een API-MIsmatch. hij zegt dat de nieuwe kernel geen ondersteunende nvidia driver heeft en ik geraak niet verder dan een vet errorscherm.

enig idee jongens want ik zit zonder ideeen.

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
Nvidia Api Mismatch
« Reactie #6 Gepost op: 2007/08/16, 07:57:19 »
Nou dat is leuk. Zijn ze er in geslaagd de nieuwe kernel niet meer compatibel te maken met de NVIDIA drivers. De installer die je gebruikt, is dit de meest recente?

Offline kennywest

  • Lid
    • http://kennywest.blogspot.com
  • Steunpunt: Nee
Nvidia Api Mismatch
« Reactie #7 Gepost op: 2007/08/16, 08:04:55 »
Ow, ik heb het gevonden: https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.20/+bug/106217
Heb je eerder de nvidia prullen geïnstalleerd die in synaptic zitten? Indien ja, verwijderen die handel. Zorg er ook voor dat dit bestand niet meer bestaat: /lib/linux-restricted-modules/.nvidia_new_installed. Dus .nvidia_new_installed ook verwijderen. Volgens de link zou het dan moeten lukken. Hou ons op de hoogte.

bruintje_

  • Gast
Nvidia Api Mismatch
« Reactie #8 Gepost op: 2007/08/16, 08:34:50 »
dus ik moet eerst de nvidia drivers verwijderen, dan de handel updaten en dan de drivers installeren die ik vind op de nvidia site.

verwijderen nvidia
updaten
apt-get install libc6-dev
sh Nvidia (installer)

bruintje_

  • Gast
Nvidia Api Mismatch
« Reactie #9 Gepost op: 2007/08/16, 11:40:26 »
kunnen jullie mij eens stap voor stap uitleggen wat ik juist moet doen?

ik begin met een clean install - format

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Nvidia Api Mismatch
« Reactie #10 Gepost op: 2007/08/16, 11:45:18 »
Installeer de fabrieksdriver van Nvidia via Systeem - Beheer - Beperkt ondersteunde stuurprogramma's (restricted drivers manager). En hou het gewoon daarbij.

Dan zul je geen probleem hebben/krijgen.

Groet, Pjotr.

bruintje_

  • Gast
Nvidia Api Mismatch
« Reactie #11 Gepost op: 2007/08/16, 11:55:04 »
dank je pjotr. maar wat als ik world of warcraft wil spelen onder ubuntu

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Nvidia Api Mismatch
« Reactie #12 Gepost op: 2007/08/16, 11:57:37 »
Citaat van: bruintje_
dank je pjotr. maar wat als ik world of warcraft wil spelen onder ubuntu
Dat kan dan toch gewoon? Het kan niet met de open-bron driver "nv", die standaard wordt geinstalleerd. Maar wel met de fabrieksdriver van Nvidia zelf (nvidia-glx), die je installeert op de manier zoals ik aangaf.

bruintje_

  • Gast
Nvidia Api Mismatch
« Reactie #13 Gepost op: 2007/08/16, 12:05:02 »
ok vriendelijk bedankt. sorry voor de domme vragen. het is lang geleden dat ik linux nog gebruikte, ben roestig geworden

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Nvidia Api Mismatch
« Reactie #14 Gepost op: 2007/08/16, 12:11:53 »
Citaat van: bruintje_
ok vriendelijk bedankt. sorry voor de domme vragen. het is lang geleden dat ik linux nog gebruikte, ben roestig geworden
OK.  :-)
En domme vragen bestaan niet, hoor. Alleen domme antwoorden!

Overigens: installeren van drivers e.d. is zo makkelijk gemaakt in deze nieuwste versie van Ubuntu... Je hoeft dus niks zelf binnen te halen vanaf een of andere webstek, het gaat gewoon automatisch, vanuit de eigen pakketbronnen van Ubuntu.

Tot slot: als je het zo doet als ik aanraad, stap dan niet later over op de nvidia-glx-new (blijf dus gewoon bij nvidia-glx). Want daar heeft die bug mee te maken, waar Kennywest naar verwees en waar jij mee werd geconfronteerd.

bruintje_

  • Gast
Nvidia Api Mismatch
« Reactie #15 Gepost op: 2007/08/16, 21:11:54 »
bedankt pjotr, het werkte jouw oplossing

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Nvidia Api Mismatch
« Reactie #16 Gepost op: 2007/08/16, 21:35:29 »
Mooi zo! Graag gedaan.  :-)